> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udcodeeditor.md).

# New-UDCodeEditor

### Übersicht

Erstellt ein neues Monaco-Code-Editor-Steuerelement.

### Syntax

```powershell
New-UDCodeEditor [-Id <String>] [-Language <String>] [-Height <String>] [-Width <String>] [-HideCodeLens] [-DisableCodeFolding] [-FormatOnPaste] [-GlyphMargin] [-DisableLineNumbers] [-DisableLinks] [-DisableBracketMatching] [-MouseWheelScrollSensitivity <Int32>] [-MouseWheelZoom] [-ReadOnly] [-RenderControlCharacters] [-ShowFoldingControls <String>] [-SmoothScrolling] [-LightTheme <String>] [-DarkTheme <String>] [-Code <String>] [-Original <String>] [-CanSave] [-Extension <String>] [<CommonParameters>]

    New-UDCodeEditor [-Id <String>] [-Language <String>] [-Height <String>] [-Width <String>] [-Code <String>] [-Original <String>] [-Options <Hashtable>] [-CanSave] [-Extension <String>] [<CommonParameters>]
```

### Beschreibung

Erstellt ein neues Monaco-Code-Editor-Steuerelement.

### Parameter

#### -Id

Die ID dieses Editors

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Language

Die Sprache, die für die Syntaxhervorhebung verwendet werden soll.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Height

Die Höhe des Editors.

```
Required?                    false
Position?                    named
Default value                100ch
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Width

Die Breite des Editors.

```
Required?                    false
Position?                    named
Default value                100%
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -HideCodeLens [<SwitchParameter>]
        Hides code lens within the editor.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableCodeFolding [<SwitchParameter>]
        Disables code folding.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -FormatOnPaste [<SwitchParameter>]
        Formats on paste.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -GlyphMargin [<SwitchParameter>]
        Seconds the size of the glyph margin

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableLineNumbers [<SwitchParameter>]
        Disables line numbers

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableLinks [<SwitchParameter>]
        Disables automatically highlighting links.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableBracketMatching [<SwitchParameter>]
        Disables bracket matching.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MouseWheelScrollSensitivity

Legt die Scroll-Empfindlichkeit des Mausrads fest.

```
Required?                    false
Position?                    named
Default value                1
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -MouseWheelZoom [<SwitchParameter>]
        Enables Ctrl+Scroll zooming.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -ReadOnly [<SwitchParameter>]
        Sets the editor to readonly.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -RenderControlCharacters [<SwitchParameter>]
        Enables rendering of control characters.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowFoldingControls

Steuert, wie die Falt-Steuerelemente angezeigt werden.

```
Required?                    false
Position?                    named
Default value                mouseover
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -SmoothScrolling [<SwitchParameter>]
        Enables smooth scrolling.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LightTheme

Das helle Theme für den Editor.

```
Required?                    false
Position?                    named
Default value                vs
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -DarkTheme

Das dunkle Theme für den Editor.

```
Required?                    false
Position?                    named
Default value                vs-dark
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Code

Der Code, der im Editor angezeigt werden soll.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Original

Der ursprüngliche Code, mit dem verglichen werden soll.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Options

Eine Hashtabelle mit Optionen, die auf den Editor angewendet werden.

```
Required?                    false
Position?                    named
Default value                @{}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -CanSave [<SwitchParameter>]
        Whether the code can be saved.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Extension

Die Erweiterung der Datei.

```
Required?                    false
Position?                    named
Default value                txt
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Ausgaben

\-------------------------- BEISPIEL 1 --------------------------

```
PS >New-UDCodeEditor -Code 'Get-Process' -Theme 'vs-dark' -Language 'powershell' -Id 'codeEditor1'

Basic code editor|Creates a PowerShell code editor




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDCodeEditor -Code 'Get-Process' -Theme 'vs-dark' -Language 'powershell' -Height '200' -Width '100%' -ReadOnly -Id 'codeEditor2'

Read only code editor|Creates a read only PowerShell code editor




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDCodeEditor -Code "Get-Process notepad" -Original "Get-Process code" -Theme 'vs-dark' -Language 'powershell' -Height '200' -Width '100%' -ReadOnly -Id 'codeEditor3'

Diff code editor|Creates a read only PowerShell code editor with diff enabled
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udcodeeditor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
